/*
 * $Id: Parameters_id.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Parameters.h"

namespace morpheo {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {
namespace multi_write_unit {
namespace write_unit {
namespace execute_queue {

#undef  FUNCTION
#define FUNCTION "Parameters::get_id"
  std::string Parameters::id (void) const
  {
    log_begin(Execute_queue,FUNCTION);

    std::string _return = 
      (toString(_size_queue       ) +"_"+
       toString(_nb_context       ) +"_"+
       toString(_nb_front_end     ) +"_"+
       toString(_nb_ooo_engine    ) +"_"+
       toString(_nb_packet        ) +"_"+
       toString(_size_general_data) +"_"+
       toString(_size_special_data) );

    log_end(Execute_queue,FUNCTION);

    return _return;
  };

}; // end namespace execute_queue
}; // end namespace write_unit
}; // end namespace multi_write_unit
}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core
}; // end namespace behavioural
}; // end namespace morpheo              
